<?php
require_once("admin/inc/protecao-final.php");

$total_avisos_ativos = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM avisos WHERE area = 'streaming'"));
$checar_status_aviso = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM avisos_desativados WHERE area = 'streaming' AND login = '".$dados_stm["login"]."'"));
$total_avisos_exibir = ($total_avisos_ativos > $checar_status_aviso) ? $total_avisos_ativos-$checar_status_aviso : 0;

$servidor = $dados_servidor["nome"].".".$dados_config["dominio_padrao"];

?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Streaming <?php echo $dados_stm["login"]; ?></title>
  <link rel="stylesheet" href="/inc/materialdesignicons.min.css">
  <link rel="stylesheet" href="/inc/font-awesome.min.css">
  <link rel="stylesheet" href="/inc/vendor.bundle.base.css">
  <link rel="stylesheet" href="/inc/vendor.bundle.addons.css">  
  <?php if($dados_stm["tema_dark"] == "sim") { ?>
  <link rel="stylesheet" href="/inc/theme-dark.css">
  <?php } else { ?>
  <link rel="stylesheet" href="/inc/theme.css">
  <?php } ?>
  <link rel="shortcut icon" href="/img/favicon.ico" />
  <script type="text/javascript" src="/inc/ajax-streaming.js"></script>
  <script type="text/javascript" src="/inc/javascript.js"></script>
</head>
<body>
  <div class="container-scroller">
    <nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
      <div class="text-center navbar-brand-wrapper d-flex align-items-center justify-content-center">
        <?php if($dados_revenda["url_logo"]) { ?>
        <a class="navbar-brand brand-logo" href="/dashboard"><img id="logo" src="<?php echo $dados_revenda["url_logo"]; ?>" title="Painel" height="60" border="0"></a>
        <?php } else { ?>
        <a class="navbar-brand brand-logo" href="/dashboard"><span>Painel Streaming</span></a>
        <?php } ?>
        <a class="navbar-brand brand-logo-mini" href="/dashboard"><i class="fa fa-video-camera text-muted"></i></a>
      </div>
      <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end justify-content-lg-start">
        <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
          <span class="mdi mdi-menu text-icones"></span>
        </button>
        <ul class="navbar-nav navbar-nav-right">
          <li class="nav-item nav-profile dropdown show">
            <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown" id="profileDropdown" aria-expanded="true">
              <i class="fa fa-power-off f-18 text-icones" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_botao_titulo_ligar']; ?>/<?php echo $lang['lang_botao_titulo_desligar']; ?>"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right navbar-dropdown" aria-labelledby="profileDropdown">
              <a class="dropdown-item text-success" href="javascript:ligar_streaming('<?php echo $login_code; ?>');"> <?php echo $lang['lang_botao_titulo_ligar']; ?> Streaming</a>
              <a class="dropdown-item text-warning" href="javascript:reiniciar_streaming('<?php echo $login_code; ?>');"> <?php echo $lang['lang_botao_titulo_reiniciar']; ?> Streaming</a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link count-indicator dropdown-toggle d-flex align-items-center justify-content-center" id="notificationDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
              <i class="mdi mdi-bell f-22 text-icones" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_pagina_informacoes_tab_avisos']; ?>"></i>
              <?php if($total_avisos_exibir > 0) { ?><span class="count bg-success"><?php echo $total_avisos_exibir; ?></span><?php } ?>           
            </a>
            <div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="notificationDropdown">
              <a class="dropdown-item">
                <p class="mb-0 font-weight-normal float-left"><?php echo $lang['lang_info_pagina_informacoes_tab_avisos']; ?></p>
              </a>
              <div class="dropdown-divider"></div>
              <?php carregar_avisos_streaming($conexao,$dados_stm["porta"],$dados_servidor["codigo"]); ?>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/sair"><i class="mdi mdi-logout f-22 text-icones" data-toggle="tooltip" data-placement="bottom" title="Sair/logout"></i></a>
          </li>
          <li>
            <button type="button" class="btn btn-info" id="status-streaming" onClick="status_streaming('<?php echo $login_code; ?>');" style="margin: 10px;min-width: 150px; min-height: 40px"><i class="fa fa-refresh"></i></button>
          </li>
        </ul>
        <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
          <span class="mdi mdi-menu text-icones"></span>
        </button>
      </div>
    </nav>
    <div class="container-fluid page-body-wrapper">
      <?php require_once("menu.php"); ?>
      <!-- partial -->
      <div class="main-panel">
        <div class="content-wrapper">
          <div id="local-status-acoes"><?php echo $_SESSION['status_acao'];unset($_SESSION['status_acao']); ?></div>
          <div class="row"> 

            <div class="col-lg-12" id="quadro_requisicao" style="display: none;">
              <div class="card">
                  <div class="card-header">
                    <header><?php echo $lang['lang_info_utilitario_conversor_tab_resultado']; ?></header>
                  </div>
                <div class="card-body">
                    <img src="/img/ajax-loader.gif" width="220" height="19" id="img_loader" /><br />
                                        <div id="resultado_requisicao" style="width:100%; height:200px; border:#999999 1px solid; text-align:left; overflow-y:scroll; padding:5px; background-color:#F4F4F7"></div>
                </div>
              </div>
            </div>           

            <div class="col-lg-12">
              <div class="card">
                  <div class="card-header">
                    <header><?php echo $lang['lang_info_utilitario_conversor_tab_titulo']; ?></header>
                  </div>
                <div class="card-body">
                    <div class="alert alert-info text-center" role="alert"><?php echo $lang['lang_info_utilitario_conversor_info']; ?></div>
                                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                                          <tr>
                                            <td width="180" height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_video']; ?></td>
                                            <td align="left">
                                              <select name="video" class="form-control" id="video" style="width:100%;">
                                                    <option selected="selected"><?php echo $lang['lang_info_utilitario_conversor_selecione']; ?></option>
                                    <?php

                                    $xml_pastas = @simplexml_load_file("http://".$dados_servidor["ip"].":55/listar-pastas.php?login=".$dados_stm["login"]."");
                                        
                                    $total_pastas = count($xml_pastas->pasta);

                                    if($total_pastas > 0) {

                                        for($i=0;$i<$total_pastas;$i++){
                                        
                                            $pasta = $xml_pastas->pasta[$i]->nome;
                                            
                                            $xml_videos = @simplexml_load_file("http://".$dados_servidor["ip"].":55/listar-videos.php?login=".$dados_stm["login"]."&pasta=".$pasta."&ordenar=nao");
                                        
                                            $total_videos_pasta = count($xml_videos->video);
                                            
                                            if($total_videos_pasta > 0) {
                                            
                                            $pasta_label = ($pasta == "/") ? "/ (root)" : $pasta;
                                        
                                            echo '<optgroup label="' .$pasta_label. '">';
                                            
                                                for($ii=0;$ii<$total_videos_pasta;$ii++){

                                                            echo '<option value="'.$pasta.'|'.$xml_videos->video[$ii]->nome.'|'.$xml_videos->video[$ii]->framerate.'">['.$xml_videos->video[$ii]->duracao.'] '.$xml_videos->video[$ii]->nome.' ('.$xml_videos->video[$ii]->width.'x'.$xml_videos->video[$ii]->height.' @ '.$xml_videos->video[$ii]->bitrate.' Kbps)</option>\n';
                                                    
                                                }

                                                echo '</optgroup>';

                                            }
                                            
                                        }
                                        
                                    }

                                    ?>
                                             </select>      </td>
                                          </tr>
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_preset']; ?></td>
                                            <td align="left">
                                              <select style="width:100%;" class="form-control" onChange="preset(this.value);" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_preset_info']; ?>">
                                              <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_selecione']; ?></option>
                                              <option value="256|64"><?php echo $lang['lang_info_utilitario_conversor_preset_baixa']; ?></option>
                                              <option value="400|96"><?php echo $lang['lang_info_utilitario_conversor_preset_media']; ?></option>
                                              <option value="720|96"><?php echo $lang['lang_info_utilitario_conversor_preset_alta']; ?></option>
                                              <option value="1024|128"><?php echo $lang['lang_info_utilitario_conversor_preset_hd']; ?></option>
                                              </select></td>
                                          </tr>
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_video_resolucao']; ?></td>
                                            <td align="left"><select name="video_resolucao" class="form-control" id="video_resolucao" style="width:100%;" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_info_nao_alterar']; ?>">
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_selecione']; ?></option>
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_nao_alterar']; ?></option>
                                                <option value="230x240">240p (230x240)</option>
                                                <option value="640x360">360p (640x360)</option>
                                                <option value="720x480">480p (720x480)</option>
                                                <option value="1280x720">720p (1280x720)</option>
                                                <option value="1920x1080">1080p (1920x1080)</option>
                                              </select>
                                          </td>
                                          </tr>
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_video_framerate']; ?></td>
                                            <td align="left"><select name="video_framerate" class="form-control" id="video_framerate" style="width:100%;" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_info_nao_alterar']; ?>">
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_selecione']; ?></option>
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_nao_alterar']; ?></option>
                                                <option value="24">24</option>
                                                <option value="30">30</option>
                                              </select>
                                              </td>
                                          </tr>
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_video_bitrate']; ?> Video</td>
                                            <td align="left"><div class="input-group"><input name="video_bitrate" type="number" class="form-control" id="video_bitrate" style="width:60%;" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_info_nao_alterar']; ?>" /><span class="input-group-append" id="basic-addon3"><label class="input-group-text">Kbps</label></span><code>bitrate video + bitrate audio = bitrate total</code></div></td>
                                          </tr>
                                          
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_audio_bitrate']; ?> Audio</td>
                                            <td align="left"><div class="input-group"><select name="audio_bitrate" class="form-control" id="audio_bitrate" style="width:60%;" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_info_nao_alterar']; ?>">
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_selecione']; ?></option>
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_nao_alterar']; ?></option>
                                                <option value="32">32</option>
                                                <option value="48">48</option>
                                                <option value="56">56</option>
                                                <option value="64">64</option>
                                                <option value="96">96</option>
                                                <option value="112">112</option>
                                                <option value="128">128</option>
                                                <option value="160">160</option>
                                                <option value="192">192</option>
                                                <option value="224">224</option>
                                                <option value="256">256</option>
                                                <option value="320">320</option>
                                              </select><span class="input-group-append" id="basic-addon3"><label class="input-group-text">Kbps</label></span></div>
                                          </td>
                                          </tr>
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_audio_samplerate']; ?></td>
                                            <td align="left"><div class="input-group"><select name="audio_samplerate" class="form-control" id="audio_samplerate" style="width:60%;" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_info_nao_alterar']; ?>">
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_selecione']; ?></option>
                                                <option value="" selected="selected"><?php echo $lang['lang_info_utilitario_conversor_nao_alterar']; ?></option>
                                                <option value="44100">44,100</option>
                                                <option value="48000">48,000</option>
                                                <option value="32000">32,000</option>
                                                <option value="22050">22,500</option>
                                              </select><span class="input-group-append" id="basic-addon3"><label class="input-group-text">Hz</label></span></div>
                                          </td>
                                          </tr>
                                          
                                          <tr>
                                            <td height="50" align="left" style="padding-left:5px;"><?php echo $lang['lang_info_utilitario_conversor_remover_original']; ?></td>
                                            <td align="left"><input name="remover_source" id="remover_source" type="checkbox" value="sim" checked="checked" data-toggle="tooltip" data-placement="bottom" title="<?php echo $lang['lang_info_utilitario_conversor_remover_original_info']; ?>" /></td>
                                          </tr>
                                          <tr>
                                            <td height="50" colspan="2" align="right"><button type="button" class="btn btn-info" onClick="converter_video('<?php echo $servidor; ?>', '<?php echo $dados_stm["login"]; ?>' );"><?php echo $lang['lang_info_utilitario_conversor_botao_converter']; ?></button></td>
                                          </tr>
                                        </table>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
      <!-- modal -->
      <div class="modal fade" id="avisos" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo $lang['lang_info_pagina_informacoes_tab_avisos']; ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body" id="avisos-conteudo"><img src="/img/ajax-loader.gif" align="center" /></div>
            </div>
        </div>
        </div>
                
        <div class="modal fade" id="log-sistema" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body" id="log-sistema-conteudo" style="text-align:center"><img src="/img/ajax-loader.gif" /></div>
            </div>
        </div>
      </div>
    </div>
  </div>
  <script src="/inc/vendor.bundle.base.js"></script>
  <script src="/inc/vendor.bundle.addons.js"></script>
  <script src="/inc/theme.js"></script>
  <script>
  status_streaming('<?php echo $login_code; ?>');
  setInterval("status_streaming('<?php echo $login_code; ?>')",60000);
  </script>
</body>
</html>